Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Class ComponentPropertyHolder

    java.lang.Object
      org.hibernate.cfg.AbstractPropertyHolder
          org.hibernate.cfg.ComponentPropertyHolder

All Implemented Interfaces:
  PropertyHolder

    public class ComponentPropertyHolder

extends AbstractPropertyHolder

Component implementation of property holder

Author:
  Emmanuel Bernard

Field Summary

Fields inherited from class org.hibernate.cfg.AbstractPropertyHolder
`parent`

Constructor Summary
`ComponentPropertyHolder(org.hibernate.mapping.Component component, String path, PropertyData inferredData, PropertyHolder parent, ExtendedMappings mappings)`

Method Summary
`org.hibernate.mapping.Join` | `addJoin(javax.persistence.JoinTable joinTableAnn, boolean noDelayInPkColumnCreation)`
`void` | `addProperty(org.hibernate.mapping.Property prop)`
`void` | `addProperty(org.hibernate.mapping.Property prop, Ejb3Column[] columns)`
`String` | `getClassName()`
`String` | `getEntityName()`
`String` | `getEntityOwnerClassName()`
`org.hibernate.mapping.KeyValue` | `getIdentifier()`
`javax.persistence.Column[]` | `getOverriddenColumn(String propertyName)` Get column overriding, property first, then parent, then holder
`javax.persistence.JoinColumn[]` | `getOverriddenJoinColumn(String propertyName)` Get column overriding, property first, then parent, then holder
`org.hibernate.mapping.PersistentClass` | `getPersistentClass()`
`org.hibernate.mapping.Table` | `getTable()`
`boolean` | `isComponent()`
`boolean` | `isEntity()`
`void` | `setParentProperty(String parentProperty)`

Methods inherited from class org.hibernate.cfg.AbstractPropertyHolder
`getPath, setCurrentProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentPropertyHolder

    public ComponentPropertyHolder(org.hibernate.mapping.Component component,
                                   String path,
                                   PropertyData inferredData,
                                   PropertyHolder parent,
                                   ExtendedMappings mappings)

Method Detail

### getEntityName

    public String getEntityName()

### addProperty

    public void addProperty(org.hibernate.mapping.Property prop,
                            Ejb3Column[] columns)

### addJoin

    public org.hibernate.mapping.Join addJoin(javax.persistence.JoinTable joinTableAnn,
                                              boolean noDelayInPkColumnCreation)

### getClassName

    public String getClassName()

### getEntityOwnerClassName

    public String getEntityOwnerClassName()

### getTable

    public org.hibernate.mapping.Table getTable()

### addProperty

    public void addProperty(org.hibernate.mapping.Property prop)

### getIdentifier

    public org.hibernate.mapping.KeyValue getIdentifier()

### getPersistentClass

    public org.hibernate.mapping.PersistentClass getPersistentClass()

### isComponent

    public boolean isComponent()

### isEntity

    public boolean isEntity()

### setParentProperty

    public void setParentProperty(String parentProperty)

  Specified by:
    `setParentProperty` in interface `PropertyHolder`
  Overrides:
    `setParentProperty` in class `AbstractPropertyHolder`

### getOverriddenColumn

    public javax.persistence.Column[] getOverriddenColumn(String propertyName)

  Description copied from class: `AbstractPropertyHolder`
  Get column overriding, property first, then parent, then holder

  Specified by:
    `getOverriddenColumn` in interface `PropertyHolder`
  Overrides:
    `getOverriddenColumn` in class `AbstractPropertyHolder`

### getOverriddenJoinColumn

    public javax.persistence.JoinColumn[] getOverriddenJoinColumn(String propertyName)

  Description copied from class: `AbstractPropertyHolder`
  Get column overriding, property first, then parent, then holder

  Specified by:
    `getOverriddenJoinColumn` in interface `PropertyHolder`
  Overrides:
    `getOverriddenJoinColumn` in class `AbstractPropertyHolder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD